Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025099
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2013-11-07 13:172013-12-05 17:21
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision111d4922708e
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025099: "-" button of the keyboard should remove the line even working with a not grouped product.

Description"-" button of the keyboard should remove the line even working with a not grouped product.
Steps To Reproduceadd a not grouped product to the ticket (gps handheld) and try to remove the line using "-" button of the keyboard.
Proposed SolutionAllow to remove this kind of lines using this button.
TagsNo tags attached.
Attached Filesdiff file icon diffIssue25099.diff [^] (1,669 bytes) 2013-11-07 13:19 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062050)
guilleaer (developer)
2013-11-07 13:20

Attached a fix.

Needed by DLON
(0062056)
hgbot (developer)
2013-11-08 11:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 111d4922708e54a61aaa2bd47f83b1a271789ffd
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Nov 08 11:40:06 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/111d4922708e54a61aaa2bd47f83b1a271789ffd [^]

fixed issue 25099: Now is possible to delete lines with no grouped products using - button

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
---
(0062196)
hgbot (developer)
2013-11-18 12:54

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 111d4922708e54a61aaa2bd47f83b1a271789ffd
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Nov 08 11:40:06 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/111d4922708e54a61aaa2bd47f83b1a271789ffd [^]

fixed issue 25099: Now is possible to delete lines with no grouped products using - button

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
---
(0062564)
hgbot (developer)
2013-12-05 12:10

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 111d4922708e54a61aaa2bd47f83b1a271789ffd
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Nov 08 11:40:06 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/111d4922708e54a61aaa2bd47f83b1a271789ffd [^]

fixed issue 25099: Now is possible to delete lines with no grouped products using - button

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
---
(0062628)
guilleaer (developer)
2013-12-05 17:21

Reclosing

- Issue History
Date Modified Username Field Change
2013-11-07 13:17 guilleaer New Issue
2013-11-07 13:17 guilleaer Assigned To => guilleaer
2013-11-07 13:17 guilleaer Triggers an Emergency Pack => No
2013-11-07 13:19 guilleaer File Added: diffIssue25099.diff
2013-11-07 13:20 guilleaer Note Added: 0062050
2013-11-08 11:42 hgbot Checkin
2013-11-08 11:42 hgbot Note Added: 0062056
2013-11-08 11:42 hgbot Status new => resolved
2013-11-08 11:42 hgbot Resolution open => fixed
2013-11-08 11:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/111d4922708e54a61aaa2bd47f83b1a271789ffd [^]
2013-11-18 12:54 hgbot Checkin
2013-11-18 12:54 hgbot Note Added: 0062196
2013-11-18 12:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/111d4922708e54a61aaa2bd47f83b1a271789ffd [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/111d4922708e54a61aaa2bd47f83b1a271789ffd [^]
2013-11-19 18:37 marvintm Review Assigned To => marvintm
2013-11-19 18:37 marvintm Status resolved => closed
2013-11-19 18:37 marvintm Fixed in Version => RMP29
2013-12-05 12:10 hgbot Checkin
2013-12-05 12:10 hgbot Note Added: 0062564
2013-12-05 12:10 hgbot Status closed => resolved
2013-12-05 12:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/111d4922708e54a61aaa2bd47f83b1a271789ffd [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/111d4922708e54a61aaa2bd47f83b1a271789ffd [^]
2013-12-05 17:21 guilleaer Note Added: 0062628
2013-12-05 17:21 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker